
CoCoA-5 - Feature #365

add function to compute minimal generators (like Minimalize)

11 Jun 2013 14:56 - Anna Maria Bigatti

Status: Closed Start date: 11 Jun 2013

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: CoCoA-4 function to be added Estimated time: 4.25 hours

Target version: CoCoA-5.0.9 Spent time: 4.25 hours

Description

2014-04 added MinGens, MinGensGeneral (for ideals and submodules) minimalize, minimalized (for ideals)

Related issues:

Related to CoCoALib - Feature #366: function (CoCoALib) for minimal generator... Closed 11 Jun 2013

Related to CoCoALib - Feature #387: implement algorithm(s) for resolutions New 23 Jul 2013

History

#1 - 01 Aug 2013 08:29 - Anna Maria Bigatti

- Status changed from New to Resolved

#2 - 21 Mar 2014 10:03 - Anna Maria Bigatti

- % Done changed from 0 to 70

updated manual (will not work on quotients, no need).

Still lacking: module -- is that essentially trivial?  (modulo putting together the right parts of code)

#3 - 21 Mar 2014 10:27 - Anna Maria Bigatti

I implemented GeneralMinGens for the non-homogeneous case: it does the obvious check on every generator.

Obviously it works on homogeneous input as well (but slower than MinGens)

Currently in NotBuiltIn

#4 - 25 Mar 2014 12:36 - Anna Maria Bigatti

Still missing: function on submodules!

If we have that working than we can have a silly/slow but working version of resolutions.

Can I manage?

#5 - 26 Mar 2014 17:09 - Anna Maria Bigatti

- Status changed from Resolved to Feedback

- % Done changed from 70 to 90

Was tougher than I expected: ironically the core code (GBasis) was all done, but updating the module/submodule/FGModule code required much

care (was I careful enough?)

#6 - 02 Apr 2014 17:37 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
#7 - 15 May 2015 11:18 - Anna Maria Bigatti

- Estimated time set to 4.50 h

#8 - 15 May 2015 11:19 - Anna Maria Bigatti

- Estimated time changed from 4.50 h to 4.25 h
